Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.swing.factory
Class LayoutFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.LayoutFactory

    class LayoutFactory
    extends BeanFactory

Property Summary
`static String` | `DEFAULT_DELEGATE_PROPERTY_CONSTRAINT`
`static String` | `DELEGATE_PROPERTY_CONSTRAINT`
`def` | `contextProps`

Constructor Summary
`LayoutFactory(Class klass)`
`LayoutFactory(Class klass, boolean leaf)`

Method Summary
`void` | `addLayoutProperties(def context, Class layoutClass)`
`void` | `addLayoutProperties(def context)`
`static def` | `constraintsAttributeDelegate(def builder, def node, def attributes)`
`static Container` | `getLayoutTarget(Container parent)`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### DEFAULT_DELEGATE_PROPERTY_CONSTRAINT

    public static final String DEFAULT_DELEGATE_PROPERTY_CONSTRAINT

### DELEGATE_PROPERTY_CONSTRAINT

    public static final String DELEGATE_PROPERTY_CONSTRAINT

### contextProps

    def contextProps

Constructor Detail

### LayoutFactory

    public LayoutFactory(Class klass)

### LayoutFactory

    public LayoutFactory(Class klass, boolean leaf)

Method Detail

### addLayoutProperties

    public void addLayoutProperties(def context, Class layoutClass)

### addLayoutProperties

    public void addLayoutProperties(def context)

### constraintsAttributeDelegate

    public static def constraintsAttributeDelegate(def builder, def node, def attributes)

### getLayoutTarget

    public static Container getLayoutTarget(Container parent)

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### setParent

    public void setParent(FactoryBuilderSupport builder, Object parent, Object child)

Copyright © 2003-2009 The Codehaus. All rights reserved.